Show / Hide Table of Contents

# Class InitializeRequest

##### Inheritance

System.Object
InitializeRequest

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class InitializeRequest

### Fields

| Improve this Doc View Source

#### Type

##### Declaration

    public static readonly RequestType<InitializeRequest, InitializeResult> Type

##### Field Value

Type | Description
--- | ---
RequestType<InitializeRequest, InitializeResult> |

### Properties

| Improve this Doc View Source

#### Capabilities

Gets or sets the capabilities provided by the client (editor).

##### Declaration

    public ClientCapabilities Capabilities { get; set; }

##### Property Value

Type | Description
--- | ---
ClientCapabilities |

| Improve this Doc View Source

#### RootPath

Gets or sets the root path of the editor's open workspace. If null it is assumed that a file was opened without having a workspace open.

##### Declaration

    public string RootPath { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |